$(document).ready(function()
{
    /* Toggle options. */
    $(document).on('change', '.unit', function()
    {
        var $parent = $(this).closest('.input-cell');
        if($(this).val() == 'fix')
        {
            $parent.addClass('input-group w-p100');
            $parent.find('input[name^=unit]').removeAttr('disabled');
        }
        else
        {
            $parent.removeClass('input-group w-p100');
            $parent.find('input[name^=unit]').attr('disabled', 'disabled');
        }
        
    });

    /* Add a unit. */
    $(document).on('click', '.addItem', function()
    {
        $(this).parents('tr').after(v.itemRow);
    });

    /* Delete a option. */
    $(document).on('click', '.delItem', function()
    {
        if($('#ajaxForm').find('.delItem').length == 1)
        {
            $('#ajaxForm').find('input,select').val('');
            return false;
        }
        $(this).parents('tr').remove();
    });
});
